eric ide

Issue324

Classification
Title: Eric6 does not installed
Type: crash Product: eric6
Process
Priority: high    
Status: closed Resolution: invalid
Superseder: Nosy List: detlev, tamerelameer
Assigned to: Keywords:

Created on 2020-04-23.09:42:19 by tamerelameer, last changed by detlev.

Files
File Name Uploaded Description Remove
Capture.PNG tamerelameer, 2020-04-25.06:35:44
Capture.PNG tamerelameer, 2020-04-25.06:36:08 capture
Capture3.PNG tamerelameer, 2020-05-13.07:59:33
Messages (5.0)
msg1219 (view) Author: detlev Date: 2020-05-13.15:21:20
The EnvironmentError is caused by Windows. I suspect that it is connected with the path 
length limit of 256 characters imposed by Windows. I suggest you select a shorted path for 
the virtual environment. Following is an example.

python -m venv c:\users\tamer\eric_venv
c:\users\tamer\eric_venv\scripts\python.exe -m pip install eric-ide
msg1218 (view) Author: tamerelameer Date: 2020-05-13.07:59:33
Hi,
I tried to install Eric6 through virtual environment, i am getting the attached 
error, note that the missing file which is mentioned in the error message  
already exists in the folder.
msg1197 (view) Author: detlev Date: 2020-04-25.08:23:05
The screencapture tells exactly what is wrong on your system. You are missing write 
permission to the directory you want to install eric6. In this situation I am recommending 
to create a Python virtual environment and to install eric6 there. The eric web site gives 
more details.
msg1196 (view) Author: detlev Date: 2020-04-23.16:52:58
"Attached file" is missing.
msg1194 (view) Author: tamerelameer Date: 2020-04-23.09:42:18
while trying to install Eric6, the installation stops and giving me the error 
in the attached file. note that i was using administrator privilege.
History
Date User Action Args
2020-05-13 15:21:20detlevsetmessage_count: 4.0 -> 5.0
messages: + msg1219
2020-05-13 07:59:33tamerelameersetfiles: + Capture3.PNG
message_count: 3.0 -> 4.0
messages: + msg1218
2020-04-25 08:23:05detlevsetstatus: open -> closed
resolution: invalid
messages: + msg1197
message_count: 2.0 -> 3.0
2020-04-25 06:36:08tamerelameersetfiles: + Capture.PNG
2020-04-25 06:35:44tamerelameersetfiles: + Capture.PNG
status: pending -> open
2020-04-23 16:52:58detlevsetstatus: new -> pending
nosy: + detlev
messages: + msg1196
message_count: 1.0 -> 2.0
2020-04-23 09:42:19tamerelameercreate